#define INST_NUMINST 255

#define INST_NOP 0
#define INST_ACONST_NULL 1
#define INST_ICONST_M1 2
#define INST_ICONST_0 3
#define INST_ICONST_1 4
#define INST_ICONST_2 5
#define INST_ICONST_3 6
#define INST_ICONST_4 7
#define INST_ICONST_5 8
#define INST_LCONST_0 9
#define INST_LCONST_1 10
#define INST_FCONST_0 11
#define INST_FCONST_1 12
#define INST_FCONST_2 13
#define INST_DCONST_0 14
#define INST_DCONST_1 15
#define INST_BIPUSH 16
#define INST_SIPUSH 17
#define INST_LDC 18
#define INST_LDC_W 19
#define INST_LDC2_W 20
#define INST_ILOAD 21
#define INST_LLOAD 22
#define INST_FLOAD 23
#define INST_DLOAD 24
#define INST_ALOAD 25
#define INST_ILOAD_0 26
#define INST_ILOAD_1 27
#define INST_ILOAD_2 28
#define INST_ILOAD_3 29
#define INST_LLOAD_0 30
#define INST_LLOAD_1 31
#define INST_LLOAD_2 32
#define INST_LLOAD_3 33
#define INST_FLOAD_0 34
#define INST_FLOAD_1 35
#define INST_FLOAD_2 36
#define INST_FLOAD_3 37
#define INST_DLOAD_0 38
#define INST_DLOAD_1 39
#define INST_DLOAD_2 40
#define INST_DLOAD_3 41
#define INST_ALOAD_0 42
#define INST_ALOAD_1 43
#define INST_ALOAD_2 44
#define INST_ALOAD_3 45
#define INST_IALOAD 46
#define INST_LALOAD 47
#define INST_FALOAD 48
#define INST_DALOAD 49
#define INST_AALOAD 50
#define INST_BALOAD 51
#define INST_CALOAD 52
#define INST_SALOAD 53
#define INST_ISTORE 54
#define INST_LSTORE 55
#define INST_FSTORE 56
#define INST_DSTORE 57
#define INST_ASTORE 58
#define INST_ISTORE_0 59
#define INST_ISTORE_1 60
#define INST_ISTORE_2 61
#define INST_ISTORE_3 62
#define INST_LSTORE_0 63
#define INST_LSTORE_1 64
#define INST_LSTORE_2 65
#define INST_LSTORE_3 66
#define INST_FSTORE_0 67
#define INST_FSTORE_1 68
#define INST_FSTORE_2 69
#define INST_FSTORE_3 70
#define INST_DSTORE_0 71
#define INST_DSTORE_1 72
#define INST_DSTORE_2 73
#define INST_DSTORE_3 74
#define INST_ASTORE_0 75
#define INST_ASTORE_1 76
#define INST_ASTORE_2 77
#define INST_ASTORE_3 78
#define INST_IASTORE 79
#define INST_LASTORE 80
#define INST_FASTORE 81
#define INST_DASTORE 82
#define INST_AASTORE 83
#define INST_BASTORE 84
#define INST_CASTORE 85
#define INST_SASTORE 86
#define INST_POP 87
#define INST_POP2 88
#define INST_DUP 89
#define INST_DUP_X1 90
#define INST_DUP_X2 91
#define INST_DUP2 92
#define INST_DUP2_X1 93
#define INST_DUP2_X2 94
#define INST_SWAP 95
#define INST_IADD 96
#define INST_LADD 97
#define INST_FADD 98
#define INST_DADD 99
#define INST_ISUB 100
#define INST_LSUB 101
#define INST_FSUB 102
#define INST_DSUB 103
#define INST_IMUL 104
#define INST_LMUL 105
#define INST_FMUL 106
#define INST_DMUL 107
#define INST_IDIV 108
#define INST_LDIV 109
#define INST_FDIV 110
#define INST_DDIV 111
#define INST_IREM 112
#define INST_LREM 113
#define INST_FREM 114
#define INST_DREM 115
#define INST_INEG 116
#define INST_LNEG 117
#define INST_FNEG 118
#define INST_DNEG 119
#define INST_ISHL 120
#define INST_LSHL 121
#define INST_ISHR 122
#define INST_LSHR 123
#define INST_IUSHR 124
#define INST_LUSHR 125
#define INST_IAND 126
#define INST_LAND 127
#define INST_IOR 128
#define INST_LOR 129
#define INST_IXOR 130
#define INST_LXOR 131
#define INST_IINC 132
#define INST_I2L 133
#define INST_I2F 134
#define INST_I2D 135
#define INST_L2I 136
#define INST_L2F 137
#define INST_L2D 138
#define INST_F2I 139
#define INST_F2L 140
#define INST_F2D 141
#define INST_D2I 142
#define INST_D2L 143
#define INST_D2F 144
#define INST_I2B 145
#define INST_I2C 146
#define INST_I2S 147
#define INST_LCMP 148
#define INST_FCMPL 149
#define INST_FCMPG 150
#define INST_DCMPL 151
#define INST_DCMPG 152
#define INST_IFEQ 153
#define INST_IFNE 154
#define INST_IFLT 155
#define INST_IFGE 156
#define INST_IFGT 157
#define INST_IFLE 158
#define INST_IF_ICMPEQ 159
#define INST_IF_ICMPNE 160
#define INST_IF_ICMPLT 161
#define INST_IF_ICMPGE 162
#define INST_IF_ICMPGT 163
#define INST_IF_ICMPLE 164
#define INST_IF_ACMPEQ 165
#define INST_IF_ACMPNE 166
#define INST_GOTO 167
#define INST_JSR 168
#define INST_RET 169
#define INST_TABLESWITCH 170 //not implemented
#define INST_LOOKUPSWITCH 171 //not implemented
#define INST_IRETURN 172
#define INST_LRETURN 173
#define INST_FRETURN 174
#define INST_DRETURN 175
#define INST_ARETURN 176
#define INST_RETURN 177
#define INST_GETSTATIC 178
#define INST_PUTSTATIC 179
#define INST_GETFIELD 180
#define INST_PUTFIELD 181
#define INST_INVOKEVIRTUAL 182
#define INST_INVOKESPECIAL 183
#define INST_INVOKESTATIC 184
#define INST_INVOKEINTERFACE 185
#define INST_NEW 187
#define INST_NEWARRAY 188
#define INST_ANEWARRAY 189
#define INST_ARRAYLENGTH 190
#define INST_ATHROW 191 // not implemented
#define INST_CHECKCAST 192
#define INST_INSTANCEOF 193
#define INST_MONITORENTER 194 // not implemented
#define INST_MONITOREXIT 195 // not implemented
#define INST_WIDE 196
#define INST_MULTIANEWARRAY 197
#define INST_IFNULL 198
#define INST_IFNONNULL 199
#define INST_GOTO_W 200
#define INST_JSR_W 201
